AI Sync

Roles

Create Role

POSThttps://app.rizzdial.com/api/roles
Create Role
curl --request POST \
  --url https://app.rizzdial.com/api/roles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "title": "Agent"
}'
{
  "data": {
    "id": 12,
    "title": "Agent"
  },
  "message": "Role created successfully.",
  "success": true
}

Create Role#

Creates a company role. Title must be unique in the company. Requires add-role.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

titlestringbodyrequired

Role title. Max 255 characters

curl --request POST \
  --url https://app.rizzdial.com/api/roles \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"title":"Agent"}'
dataobject

id, title, name, and permissions_count

POST /api/roles/create is the same endpoint.